apiVersion: v1
kind: PersistentVolume
metadata:
  name: local-medium-archive
spec:
  capacity:
    storage: 15Ti
  volumeMode: Filesystem
  accessModes:
  - ReadWriteOnce
  persistentVolumeReclaimPolicy: Delete
  storageClassName: local-medium-archive
  local:
    path: /data
  nodeAffinity:
    required:
      nodeSelectorTerms:
      - matchExpressions:
        - key: kubernetes.io/hostname
          operator: In
          values:
          - kubekorner.ssec.wisc.edu
          - presto.ssec.wisc.edu
---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: local-medium-archive
provisioner: kubernetes.io/no-provisioner
volumeBindingMode: WaitForFirstConsumer